Bug 86911 - Missing description of Color Tolerance in Contour Editor
Summary: Missing description of Color Tolerance in Contour Editor
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.4.0.0.beta1
Hardware: Other All
: low trivial
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.5.0 target:4.4.0.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2014-12-01 18:41 UTC by Stanislav Horacek
Modified: 2015-12-17 08:41 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Contour Editor in 4.3 (above) and 4.4 (below) (24.43 KB, image/png)
2014-12-01 18:41 UTC, Stanislav Horacek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Horacek 2014-12-01 18:41:03 UTC
Created attachment 110315 [details]
Contour Editor in 4.3 (above) and 4.4 (below)

Steps to reproduce:
1. In context menu of an image in Writer, choose Wrap - Edit Contours.
2. Contour Editor dialog pops up.
3. Hover the box with percent value on the right side of toolbar.

Observed: No description or tooltip is provided for the percent box.
Expected: Description or tooltip "Color Tolerance" should be shown.

The tooltip is shown in 4.3 series and not in 4.4 beta 1. The change is apparently related to conversion of the dialog to .ui format.
Comment 1 Jacques Guilleron 2014-12-01 22:15:32 UTC
Hi Stanislas,

I reproduce with 
LO 4.4.0.0.beta1 Build ID: 9af3d21234aa89dac653c0bd76648188cdeb683e
but not with
LO 4.3.3.1 Build ID: 7d55112667c8fcddb67bc3803796b46c93aa56b0

I set Status to NEW.

Thank you to take time to fill this report,

Regards,

Jacques
Comment 2 Stanislav Horacek 2014-12-29 16:34:21 UTC
Bibisect is not needed, the conversion to .ui format was done by this commit:
http://cgit.freedesktop.org/libreoffice/core/commit/?id=149c7ac26a97c96574fbbd86225d1486cef13417
Comment 3 Matthew Francis 2014-12-30 04:15:08 UTC
Adding Cc: to caolanm@redhat.com. Could you possibly take another look at this one? Thanks


commit 149c7ac26a97c96574fbbd86225d1486cef13417
Author: Caolán McNamara <caolanm@redhat.com>
Date:   Fri Sep 5 12:51:01 2014 +0100

    convert floating RID_SVXDLG_CONTOUR to .ui
    
    Change-Id: I5c441f6d4fccb771a0b2a4a1315497335ba8f81f
Comment 4 Joel Madero 2015-01-05 17:18:25 UTC
Adding bibisected to whiteboard as bisected keyword is a subset of bibisected whiteboard.

Thanks!
Comment 5 Commit Notification 2015-01-06 09:52:16 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1b5c8e4a031af17c47a2900da09c1db1df1242df

Resolves: fdo#86911 add tooltip for Color Tolerance spinbutton

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-01-06 09:53:43 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=04bf17165cecb7987d1af362f0b85271d0cd1208&h=libreoffice-4-4

Resolves: fdo#86911 add tooltip for Color Tolerance spinbutton

It will be available in 4.4.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Robinson Tryon (qubit) 2015-12-17 08:41:18 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]